Package ghidra.app.util.bin.format.dwarf

# Class DWARFAddressListHeader

java.lang.Object
ghidra.app.util.bin.format.dwarf.DWARFIndirectTableHeader
ghidra.app.util.bin.format.dwarf.DWARFAddressListHeader

public class DWARFAddressListHeader extends DWARFIndirectTableHeader
Header at the beginning of a address list table

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.dwarf.DWARFIndirectTableHeader

  `endOffset, firstElementOffset, startOffset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFAddressListHeader(long startOffset, long endOffset, long firstElementOffset, int addressSize, int segmentSelectorSize, int addrCount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAddressSize()`
  `long`
  `getOffset(int index, BinaryReader reader)`
  `int`
  `getSegmentSelectorSize()`
  `static DWARFAddressListHeader`
  `read(BinaryReader reader, int defaultIntSize)`
  Reads a `DWARFAddressListHeader` from the stream.

  ### Methods inherited from class ghidra.app.util.bin.format.dwarf.DWARFIndirectTableHeader

  `getEndOffset, getFirstElementOffset, getStartOffset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DWARFAddressListHeader

    public DWARFAddressListHeader(long startOffset, long endOffset, long firstElementOffset, int addressSize, int segmentSelectorSize, int addrCount)

- ## Method Details

  - ### read

    public static DWARFAddressListHeader read(BinaryReader reader, int defaultIntSize) throws IOException
    Reads a `DWARFAddressListHeader` from the stream.
    Parameters:
      `reader` - `BinaryReader` stream
      `defaultIntSize` - native int size for the binary
    Returns:
      `DWARFAddressListHeader`, or null if end-of-list marker
    Throws:
      `IOException` - if error reading

  - ### getOffset

    public long getOffset(int index, BinaryReader reader) throws IOException
    Specified by:
      `getOffset` in class `DWARFIndirectTableHeader`
    Throws:
      `IOException`

  - ### getAddressSize

    public int getAddressSize()

  - ### getSegmentSelectorSize

    public int getSegmentSelectorSize()